<header id="header" class="header tt-header">
    <div class="navbar navbar-light tt-top-header">
        <div class="container">
            <a class="navbar-brand mr-3" href="{$WEB_ROOT}/index.php">
                {if $assetLogoPath}
                    <img src="{$assetLogoPath}" alt="{$companyname}" class="logo-img">
                {else}
                    {$companyname}
                {/if}
            </a>


            <div class="navbar-collapse offcanvas-collapse" id="mainNavbar">
                <form method="post" action="{routePath('knowledgebase-search')}" class="d-xl-none">
                    <div class="input-group search w-100 mb-2">
                        <div class="input-group-prepend">
                            <button class="btn btn-default" type="submit">
                                <i class="fas fa-search"></i>
                            </button>
                        </div>
                        <input class="form-control prepended-form-control" type="text" name="search" placeholder="{lang key="searchOurKnowledgebase"}...">
                    </div>
                </form>
                <ul id="nav" class="navbar-nav mr-auto">
                    {include file="$template/includes/navbar.tpl" navbar=$primaryNavbar}
                </ul>
                <ul class="navbar-nav ml-auto tt-secondary-list">
                    {if $loggedin}
                        <li class="tt-nav-item tt-notification">
                            <button type="button" data-toggle="popover" id="accountNotifications" data-placement="bottom">
                                <i class="far fa-bell"></i>
                                <span class="tt-circle"></span>
                                {*{if count($clientAlerts) > 0}*}
                                {*<span class="badge badge-info rounded-circle small">{count($clientAlerts)}</span>*}
                                {*<span class="d-none d-sm-inline">{lang key='notifications'}</span>*}
                                {*{else}*}
                                {*<span class="d-sm-none">0</span>*}
                                {*<span class="d-none d-sm-inline">{lang key='nonotifications'}</span>*}
                                {*{/if}*}
                            </button>
                            <div id="accountNotificationsContent" class="w-hidden">
                                <ul class="client-alerts">
                                    {foreach $clientAlerts as $alert}
                                        <li>
                                            <a href="{$alert->getLink()}">
                                                <i class="fas fa-fw fa-{if $alert->getSeverity() == 'danger'}exclamation-circle{elseif $alert->getSeverity() == 'warning'}exclamation-triangle{elseif $alert->getSeverity() == 'info'}info-circle{else}check-circle{/if}"></i>
                                                <div class="message">{$alert->getMessage()}</div>
                                            </a>
                                        </li>
                                        {foreachelse}
                                        <li class="none">
                                            {lang key='notificationsnone'}
                                        </li>
                                    {/foreach}
                                </ul>
                            </div>
                        </li>

                        <li class="tt-nav-item input-group align-items-center active-client" role="group">
                            <div class="btn-group">
                                {*<a href="{$WEB_ROOT}/clientarea.php?action=details" class="btn btn-active-client">*}
                                {*<span>*}
                                {*{if $client.companyname}*}
                                {*{$client.companyname}*}
                                {*{else}*}
                                {*{$client.fullName}*}
                                {*{/if}*}
                                {*</span>*}
                                {*</a>*}
                                <a href="{routePath('user-accounts')}" data-toggle="tooltip" data-placement="top" title="Switch Account">
                                    <i class="fad fa-random"></i>
                                </a>
                                {if $adminMasqueradingAsClient || $adminLoggedIn}
                                    <a href="{$WEB_ROOT}/logout.php?returntoadmin=1" class="btn btn-return-to-admin" data-toggle="tooltip" data-placement="bottom" title="{if $adminMasqueradingAsClient}{lang key='adminmasqueradingasclient'} {lang key='logoutandreturntoadminarea'}{else}{lang key='adminloggedin'} {lang key='returntoadminarea'}{/if}">
                                        <i class="fas fa-redo-alt"></i>
                                        <span class="d-none d-md-inline-block">{lang key="admin.returnToAdmin"}</span>
                                    </a>
                                {/if}
                            </div>
                        </li>
                        {include file="$template/includes/navbar.tpl" navbar=$secondaryNavbar rightDrop=true}
                    {else}
                        {if $condlinks.allowClientRegistration}
                            <li class="nav-item">
                                <a href="{$WEB_ROOT}/register.php" class="btn-sm"><i class="fad fa-user-plus mr-1"></i> Register</a>
                            </li>
                        {/if}
                        <li class="nav-item">
                            <a href="{$WEB_ROOT}/clientarea.php" class="btn-sm"><i class="fad fa-sign-in mr-1"></i> Login</a>
                        </li>
                    {/if}
                </ul>
            </div>

            <div class="d-flex align-items-center tt-toolbar-wrap">
                <ul class="navbar-nav toolbar">
                    <li class="nav-item dropdown d-none d-lg-none d-xl-block">
                        <a href="javascript:void(0)" id="dropdownMenuButton" class="position-relative" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <i class="far fa-search fa-fw"></i>
                        </a>
                        <form method="post" action="{routePath('knowledgebase-search')}" class="position-absolute form-inline dropdown-menu dropdown-menu-right p-4 bg-gray-light border-0" aria-labelledby="dropdownMenuButton">
                            <div class="input-group search d-none d-xl-flex">
                                <div class="input-group-prepend">
                                    <button class="btn-default border-0" type="submit">
                                        <i class="fas fa-search"></i>
                                    </button>
                                </div>
                                <input class="form-control appended-form-control font-weight-light" type="text" name="search" placeholder="{lang key="searchOurKnowledgebase"}...">
                            </div>
                        </form>
                    </li>
                    <li class="nav-item ml-2">
                        <a class="cart-btn" href="{$WEB_ROOT}/cart.php?a=view">
                            <i class="far fa-shopping-bag fa-fw"></i>
                            <span id="cartItemCount" class="tt-cart-badge rounded-circle">{$cartitemcount}</span>
                            <span class="sr-only">{lang key="carttitle"}</span>
                        </a>
                    </li>
                    <li class="nav-item ml-2 d-xl-none">
                        <button class="" type="button" data-toggle="offcanvas">
                            <span class="fad fa-bars fa-fw"></span>
                        </button>
                    </li>
                </ul>

            </div>
        </div>
    </div>
</header>